import {fetchBase} from '@/api/doctor/doctorFetch'

//列表查询 疾病信息相关  诊断列表、治疗方案、随访方案
export function fetchDiseaseTypeList(params, loading) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-diagnose-record/manage-record`, body: params, loading })
}

// 查询随访列表
export function getVisitManageList(params, loading) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-record/record-list`, body: params, loading })
}

// 获取检验项目对码表
export function getInspectCode(configType) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-inspect-item/query-list/${configType}`, loading: true })
}

//查询疾病编码（诊断名称）
export function queryDiseaseCode(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-disease-code/icd-list`, body: params, loading: true })
}

//获取诊断详细信息
export function getDiagnoseDetail(id){
    return fetchBase({ url: `/chronic-admin/v1/chronic-diagnose-record/record`,body:{ id: id }, loading: true })
}

// 根据病种和居民id查询已经有诊断信息
export function getDiagnoseFirst(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-diagnose-record/first-record`, body: params, loading: true })
}

// 新增诊断
export function addDiagnose(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-diagnose-record/save`, body: params, loading: true })
}

// 修改诊断
export function updateDiagnose(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-diagnose-record/update`, body: params, loading: true })
}

//删除诊断
export function delDiagnose(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-diagnose-record/delete`, body: params, loading: true })
}

// 报卡信息主键查询
export function fetchCurrencyByUuid(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-record-crs/record-uuid`, body: params, loading: true })
}

// 删除随访
export function deleteVisitRecord(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-record/delete`, body:params, loading: true })
}

// 专病随访风险评估
export function addEvaluationResults(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-record/save-evaluation-results`, body: params, loading: true })
}